Method: projects.locations.collections.engines.sessions.selectContextFiles

בחירת קובצי הקשר לשימוש בסשן.

בקשת HTTP


POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:selectContextFiles

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
name

string

חובה. שם הסשן.

פורמט: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "fileSelections": [
    {
      object (FileSelection)
    }
  ]
}
שדות
fileSelections[]

object (FileSelection)

חובה. הבחירה בקובץ משתנה. אפשר לבחור (או לבטל את הבחירה) רק קבצים שכבר הועלו לסשן. הסטטוס של קבצים שלא מוזכרים כאן יישאר כמו שהוא.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יהיה ריק.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב name:

  • discoveryengine.sessions.selectContextFiles

מידע נוסף מופיע במאמרי העזרה בנושא IAM.

FileSelection

סטטוס הבחירה של קובץ הקשר.

ייצוג ב-JSON
{
  "fileId": string,
  "selected": boolean
}
שדות
fileId

string

חובה. המזהה של קובץ ההקשר.

selected

boolean

חובה. האם הקובץ נבחר לשימוש בסשן.